# Command: wait

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    wait - Wait for any child process to terminate

Synopsis:

    NoHangFlag wait -> Status NormalExitFlag PIDout
      -> 0

Examples:

    false wait %wait for the next child to terminate

Description:

    Wait is the same as "waitPID", but it waits for any
      child process.

      Alternatives: Function wait_b (undocumented) -> behaviour and
      synopsis are the same, except that no warnings or error
      messages are thrown.

Parameters:

    In : NoHangFlag(boolean): -see waitPID-
      Out: Status(integer)
      NormalExitFlag(boolean)
      PIDout(integer): -see waitPID-

Bugs:

Remarks:

    This is not a SLI-interface to the system's "wait()"-function,
      but a thin wrapper to waitPID. The behaviour is exactly the
      same, however.

Author:

    R Kupper

FirstVersion:

    Apr 23 1999

SeeAlso:

- waitPID
- spawn
- system
- spoon
- fork

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/processes.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative